# Journalist Verification API

This API allows you to verify if a social media username belongs to a Legitimate journalist in our system.

### Endpoint

`POST /api/v1/verify_journalist`

`URL: https://www.legitimate.net`

### Parameters

* `social_username` (required): The social media username to verify. Do not include the @ symbol at the start.
* `social_type` (required): The social media type of the username. Valid values are `twitter`, `linkedin`, or `facebook`.

### Response

The API response is in JSON format and contains the following fields:

* `verified` (boolean): Indicates if the username belongs to a legitimate journalist in our system.
* `first_name` (string, optional): The first name of the verified journalist.
* `last_name` (string, optional): The last name of the verified journalist.
* `slug` (string, optional): The slug of the verified journalist.
* `message` (string, optional): The error message if the social media username does not belong to a legitimate journalist in our system.

### Example

**Request**

```json
{
  "social_username": "CriticalRedPen",
  "social_type": "twitter"
}
```

**Response (verified)**

```json
{
    "verified": true,
    "first_name": "Elaine",
    "last_name": "Burke",
    "profile_bio": "Elaine Burke is editor of Silicon Republic, having served a few years as managing editor up to 2019. She joined in 2011 as a journalist covering gadgets, new media and tech jobs. She comes from a background in publishing and is known for being particularly pernickety when it comes to spelling and grammar – earning her the nickname, Critical Red Pen.",
    "slug": "elaine-burke",
    "article_count": 136,
    "articles": [
        {
            "id": 1066870,
            "title": "Cork cybersecurity start-up Vaultree selected for EIC Accelerator",
            "description": "Vaultree is among 78 selected companies that will share in up to €470m of funding through a combination of grants and equity investment.",
            "link": "https://www.siliconrepublic.com/start-ups/vaultree-cork-cybersecurity-eic-accelerator",
            "profile_id": 2158,
            "created_at": "2022-12-20T17:32:10.471Z",
            "updated_at": "2022-12-20T17:32:11.008Z",
            "og_image": "https://www.siliconrepublic.com/wp-content/uploads/2022/12/AdobeStock_278003537.jpeg",
            "icon_path": "https://siliconrepublic.com/favicon.ico",
            "published_at": "2022-12-20T16:19:44.000Z",
            "post_id": null,
            "feature": false,
            "lg_index": "",
            "active": true,
            "search_visible": true,
            "author_name": null,
            "tag_list": [
                "Premium"
            ]
        },
        {
            "id": 1057254,
            "title": "Dublin’s new life sciences hotbed opens in Cherrywood",
            "description": "The Campus in Cherrywood has already attracted an Irish and an international start-up to set up shop in its life sciences ecosystem.",
            "link": "https://www.siliconrepublic.com/start-ups/the-campus-cherrywood-life-sciences-incubation-labs",
            "profile_id": 2158,
            "created_at": "2022-12-08T17:44:51.152Z",
            "updated_at": "2022-12-08T17:44:51.600Z",
            "og_image": "https://www.siliconrepublic.com/wp-content/uploads/2022/12/NO-FEE-PIONEER-GROUP-CHERRYWOOD-OPENING-JB2.jpg",
            "icon_path": "https://siliconrepublic.com/favicon.ico",
            "published_at": "2022-12-08T17:10:01.000Z",
            "post_id": null,
            "feature": false,
            "lg_index": "",
            "active": true,
            "search_visible": true,
            "author_name": null,
            "tag_list": [
                "Premium"
            ]
        },
        {
            "id": 1057255,
            "title": "Irish women awarded top EU innovator prizes",
            "description": "Dr Ciara Clancy and Niamh Donnelly were among the six winners of the European Innovation Council’s women innovators awards.",
            "link": "https://www.siliconrepublic.com/innovation/eu-women-innovators-awards-ciara-clancy-niamh-donnelly",
            "profile_id": 2158,
            "created_at": "2022-12-08T17:44:53.791Z",
            "updated_at": "2022-12-08T17:44:54.087Z",
            "og_image": "https://www.siliconrepublic.com/wp-content/uploads/2022/12/FjYrftvXEAILIQn.jpg",
            "icon_path": "https://siliconrepublic.com/favicon.ico",
            "published_at": "2022-12-07T16:37:49.000Z",
            "post_id": null,
            "feature": false,
            "lg_index": "",
            "active": true,
            "search_visible": true,
            "author_name": null,
            "tag_list": [
                "Premium"
            ]
        }
    ],
    "profile_image": "https://legitimate.net/rails/active_storage/blobs/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBK09zQXc9PSIsImV4cCI6bnVsbCwicHVyIjoiYmxvYl9pZCJ9fQ==--1ea4f80653c972bd8369f8a478ba57405970580c/ElaineBurke.jpg",
    "profile_social_profiles": {
        "twitter": "CriticalRedPen"
    }
}
```

**Response (not verified)**

Sent with username: "CriticalRed\_Pen" with an underscore inserted.&#x20;

```json
{
    "verified": false,
    "message": "Not a legitimate journalist"
}
```

### Errors

The API can return the following errors:

* `422 Unprocessable Entity`: If the `social_type` parameter is missing or invalid.
* `500 Internal Server Error`: If there is an error with the server.

### Notes

* The `social_username` parameter is case-insensitive.
* The `social_type` parameter must be one of `twitter`, `linkedin`, or `facebook`.
* If the `verified` field is `false`, the API response will contain a `message` field with the error message.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.legitimate.net/~/changes/77VELRe0v6XREpNhjnio/apis/journalist-verification-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
